All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
NV12ToRGB
Color Model Conversion

NV12 to RGB color conversion. More...

## Functions

NppStatus | nppiNV12ToRGB_8u_P2C3R_Ctx (const Npp8u *const pSrc[2], int rSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 2 channel 8-bit unsigned planar NV12 to 3 channel 8-bit unsigned packed RGB color conversion. More...
NppStatus | nppiNV12ToRGB_8u_P2C3R (const Npp8u *const pSrc[2], int rSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiNV12ToRGB_709HDTV_8u_P2C3R_Ctx (const Npp8u *const pSrc[2], int rSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 2 channel 8-bit unsigned planar NV12 to 3 channel 8-bit unsigned packed RGB 709 HDTV full color conversion. More...
NppStatus | nppiNV12ToRGB_709HDTV_8u_P2C3R (const Npp8u *const pSrc[2], int rSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)

## Detailed Description

NV12 to RGB color conversion.

## Function Documentation

NppStatus nppiNV12ToRGB_709HDTV_8u_P2C3R | ( | const Npp8u *const | pSrc[2],
|  | int | rSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiNV12ToRGB_709HDTV_8u_P2C3R_Ctx | ( | const Npp8u *const | pSrc[2],
|  | int | rSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 8-bit unsigned planar NV12 to 3 channel 8-bit unsigned packed RGB 709 HDTV full color conversion.

Parameters

  pSrc | Source-Planar-Image Pointer Array (one for Y plane, one for UV plane).
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiNV12ToRGB_8u_P2C3R | ( | const Npp8u *const | pSrc[2],
|  | int | rSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiNV12ToRGB_8u_P2C3R_Ctx | ( | const Npp8u *const | pSrc[2],
|  | int | rSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 8-bit unsigned planar NV12 to 3 channel 8-bit unsigned packed RGB color conversion.

Parameters

  pSrc | Source-Planar-Image Pointer Array (one for Y plane, one for UV plane).
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2019 NVIDIA Corporation